<?php

ini_set('display_errors', 0);
ini_set('display_startup_errors', 0);


if (isset($_SERVER['HTTP_HOST']))
    define('SITE', 'http://'.$_SERVER['HTTP_HOST'].'/');

if (isset($_SERVER['HTTP_HOST']))
    define('SITEPATH', $_SERVER['DOCUMENT_ROOT'].'/');
else
    define('SITEPATH', dirname(__FILE__)); 
    
if (SITE == 'http://klan.argumenti.ru/')
    define('PDFSOURCE', '/vhosts/an/httpdocs/pub/files/pdf/pdf/');
else
    define('PDFSOURCE', SITEPATH.'pub/source/');   

define('PDFPATH', '/pub/files/pdf/');
define('PGPATH', '/pub/files/pages/');    
define('PDFDIR', SITEPATH.PDFPATH);
define('PGDIR', SITEPATH.PGPATH);

define('APPPATH', SITEPATH);
define('VIEWPATH', SITEPATH.'views/');
define('API', 'http://api.argumenti.ru/');    
define('IMGSRV', 'https://imgurl.argumenti.ru/');


db_config('argumentiru', 'mysql:host=mysql;dbname=argumentiru', 'newser', 'Chjk90yuiREY');
db_config('reader', 'mysql:host=mysql;dbname=argumentiru', 'reader', 'ghjyjkUIOhg56Fh');
db_config('chitatel', 'mysql:host=mysql;dbname=argumentiru', 'chitatel', 'hjYu78kl*90Uio');

